/// <reference types="react" />
export type Option = {
    id: string;
    name: string;
};
export interface AutocompleteSelectProps {
    value: string;
    options: Option[];
    onChange: (value: string) => void;
    filteredOptions?: Option[];
    label?: string;
    placeholder?: string;
    id?: string;
    name?: string;
    required?: boolean;
    classNameWrapper?: string;
    classNameLabel?: string;
    classNameInput?: string;
    classNameListOption?: string;
}
declare const AutocompleteSelect: import("react").ForwardRefExoticComponent<AutocompleteSelectProps & import("react").RefAttributes<HTMLInputElement>>;
export default AutocompleteSelect;
