/// <reference types="react" />
type Route = {
    route: string;
    text: string;
};
export type BreadcrumbProps = {
    routes: Route[];
    classNameWrapper?: string;
    classNameItem?: string;
    connector?: React.ReactNode;
    activeStep?: number;
    onClickStep: ({ event, route, index }: {
        event: React.MouseEvent;
        route: string;
        index: number;
    }) => void;
};
export declare function Breadcrumb({ routes, classNameWrapper, classNameItem, connector, onClickStep, activeStep, ...rest }: BreadcrumbProps): import("react/jsx-runtime").JSX.Element;
export {};
