import { InputHTMLAttributes } from "react";
export type ComponentWithClassProps = {
    className?: string;
};
type SearchProps = {
    searchPlaceholder?: string;
    elementSize?: "small" | "medium" | "large";
} & ComponentWithClassProps & InputHTMLAttributes<HTMLInputElement>;
export declare function Search({ searchPlaceholder, elementSize, className, ...rest }: SearchProps): import("react/jsx-runtime").JSX.Element;
export {};
