export type Option = {
    id: string;
    name: string;
};
export interface SelectProps {
    onChange: (value: string | string[]) => void;
    value: string | string[] | null;
    options: Option[];
    multiple?: boolean;
    label?: string;
    disabled?: boolean;
    id?: string;
    name?: string;
    required?: boolean;
    placeholder?: string;
    classNameWrapper?: string;
    classNameLabel?: string;
    classNameInput?: string;
    classNameListOption?: string;
}
declare const Select: ({ onChange, value, options, multiple, label, placeholder, classNameWrapper, classNameLabel, classNameInput, classNameListOption, ...props }: SelectProps) => import("react/jsx-runtime").JSX.Element;
export default Select;
