import React from "react";
export type AccordionBodyProps = {
    children: React.ReactNode;
    className?: string;
};
export type AccordionTitleProps = {
    children: React.ReactNode;
    open?: boolean;
    className?: string;
    classNameIcon?: string;
};
export type AccordionProps = {
    children: React.ReactNode;
    defaultOpen?: boolean;
    className?: string;
};
type Extensions = {
    Title: (props: AccordionTitleProps) => JSX.Element;
    Body: (props: AccordionBodyProps) => JSX.Element;
};
export declare const Title: ({ children, className, classNameIcon }: AccordionTitleProps) => import("react/jsx-runtime").JSX.Element;
export declare const Body: ({ children, className }: AccordionBodyProps) => import("react/jsx-runtime").JSX.Element;
declare const Accordion: React.FC<AccordionProps> & Extensions;
export default Accordion;
