import { ButtonHTMLAttributes } from "react";
type ButtonSize = "small" | "medium" | "large";
type ButtonVariant = "primary" | "warning" | "transparent" | "empty" | "outline";
export type ButtonProps = {
    children: React.ReactNode;
    icon?: React.ElementType;
    isDisabled?: boolean;
    size?: ButtonSize;
    variant?: ButtonVariant;
    isLoading?: boolean;
    className?: string;
    classNameIcon?: string;
} & ButtonHTMLAttributes<HTMLButtonElement>;
export declare function Button({ children, icon, type, isDisabled, size, variant, isLoading, className, classNameIcon, ...rest }: ButtonProps): import("react/jsx-runtime").JSX.Element;
export {};
