import { InputHTMLAttributes } from "react";
export type CategorySearchProps = {
    searchPlaceholder?: string;
    categories: string[];
    elementSize?: "small" | "medium" | "large";
    className?: string;
    onSubmit?: VoidFunction;
} & InputHTMLAttributes<HTMLInputElement>;
export declare function CategorySearch({ searchPlaceholder, categories, elementSize, className, onSubmit, ...rest }: CategorySearchProps): import("react/jsx-runtime").JSX.Element;
