/// <reference types="react" />
import { ReactDatePickerProps } from "react-datepicker";
import { InputProps } from '../Input';
import "react-datepicker/dist/react-datepicker.css";
export type DatepickerProps = {
    label?: string;
    inputClasses?: string;
    wrapperClasses?: string;
    helperText?: string;
    helperTextClassName?: string;
    error?: boolean;
    inputProps?: InputProps;
} & ReactDatePickerProps;
declare const Datepicker: import("react").ForwardRefExoticComponent<{
    label?: string | undefined;
    inputClasses?: string | undefined;
    wrapperClasses?: string | undefined;
    helperText?: string | undefined;
    helperTextClassName?: string | undefined;
    error?: boolean | undefined;
    inputProps?: InputProps | undefined;
} & ReactDatePickerProps<undefined, undefined> & import("react").RefAttributes<HTMLInputElement | HTMLTextAreaElement>>;
export default Datepicker;
