import React from "react";
export type ComponentWithClassProps = {
    className?: string;
};
export type TextVariant = "heading-two" | "heading-three" | "heading-four" | "heading-five" | "heading-six" | "body-large" | "body-medium" | "body-small" | "body-micro" | "number-large" | "number-medium" | "number-small" | "number-micro";
export type TextProps = {
    variant?: TextVariant;
    children: React.ReactNode;
} & ComponentWithClassProps;
declare const Text: React.FC<TextProps>;
export default Text;
